@file:Suppress("UNCHECKED_CAST", "USELESS_CAST", "INAPPLICABLE_JVM_NAME", "UNUSED_ANONYMOUS_PARAMETER", "SENSELESS_COMPARISON", "NAME_SHADOWING", "UNNECESSARY_NOT_NULL_ASSERTION")
package uni.UNIHelloUniAppX
import io.dcloud.uniapp.*
import io.dcloud.uniapp.extapi.*
import io.dcloud.uniapp.framework.*
import io.dcloud.uniapp.runtime.*
import io.dcloud.uniapp.vue.*
import io.dcloud.uniapp.vue.shared.*
import io.dcloud.unicloud.*
import io.dcloud.uts.*
import io.dcloud.uts.Map
import io.dcloud.uts.Set
import io.dcloud.uts.UTSAndroid
import kotlin.properties.Delegates
open class GenUniModulesUniTabBarComponentsUniTabMidbuttonUniTabMidbutton : VueComponent {
    constructor(__ins: ComponentInternalInstance) : super(__ins) {}
    open var width: Number by `$props`
    open var height: Number by `$props`
    companion object {
        @Suppress("UNUSED_PARAMETER", "UNUSED_VARIABLE")
        var setup: (__props: GenUniModulesUniTabBarComponentsUniTabMidbuttonUniTabMidbutton) -> Any? = fun(__props): Any? {
            val __ins = getCurrentInstance()!!
            val _ctx = __ins.proxy as GenUniModulesUniTabBarComponentsUniTabMidbuttonUniTabMidbutton
            val _cache = __ins.renderCache
            val props = __props
            val tabBarLayout = inject<Ref<UniTabBarLayout>>("uniTabBarLayout", ref(UniTabBarLayout(tabListBaseHeight = 50, windowWidth = 0, safeAreaInsetBottom = 0)))
            val registerMidButton = inject<(width: Number, height: Number) -> Unit>("uniTabListRegisterMidButton", fun(width: Number, height: Number){})
            val midButtonStyle = computed(fun(): UTSJSONObject {
                return _uO("width" to (props.width + "px"), "height" to (props.height + "px"), "bottom" to (tabBarLayout.value.safeAreaInsetBottom + "px"))
            }
            )
            onMounted(fun(){
                registerMidButton(props.width, props.height)
            }
            )
            return fun(): Any? {
                return _cE("view", _uM("style" to _nS(unref(midButtonStyle)), "class" to "uni-tab-list-item-midbutton-root"), _uA(
                    renderSlot(_ctx.`$slots`, "default")
                ), 4)
            }
        }
        val styles: Map<String, Map<String, Map<String, Any>>> by lazy {
            _nCS(_uA(
                styles0
            ))
        }
        val styles0: Map<String, Map<String, Map<String, Any>>>
            get() {
                return _uM("uni-tab-list-item-midbutton-root" to _pS(_uM("position" to "absolute", "left" to "50%", "transform" to "translateX(-50%)", "overflow" to "visible", "alignItems" to "center", "justifyContent" to "center")))
            }
        var inheritAttrs = true
        var inject: Map<String, Map<String, Any?>> = _uM()
        var emits: Map<String, Any?> = _uM()
        var props = _nP(_uM("width" to _uM("type" to "Number", "required" to false, "default" to 90), "height" to _uM("type" to "Number", "required" to false, "default" to 90)))
        var propsNeedCastKeys = _uA(
            "width",
            "height"
        )
        var components: Map<String, CreateVueComponent> = _uM()
    }
}
